Subject: Re: [bitcoin-dev] Bitcoin covenants are inevitable

From: Erik Aronesty <[email-masked]>
Date: Sun, 19 Jun 2022 18:35:55 -0400

On Sun, Jun 19, 2022 at 2:04 PM Manuel Costa via bitcoin-dev <
[email-masked]> wrote:

>  if we start seeing issues with block rewards being too low to maintain
> acceptable security, we're going to have multiple solutions being
> implemented for it, and definitely a hard fork to indefinitely maintain
> some degree of block subsidy
>

if we failed to first try increasing block demand with advanced transaction
support, it would seem like we were just throwing money and growth away to
support one narrative (simplicty of function), while destroying another
(finite supply)

if stuff like covenant support and mweb gets us higher fees, with stuff
like on-chain mixing protocols, vaults, and higher utility, it might be
more than enough to sustain bitcoin on fees alone forever